{
  "alfredsnippet" : {
    "snippet" : "echo '#!\/bin\/bash\n\nSHELL=\/bin\/sh\nPATH=\/usr\/local\/sbin:\/usr\/local\/bin:\/sbin:\/bin:\/usr\/sbin:\/usr\/bin\nTZ=\"Asia\/Taipei\"\nexport PATH\nexport LANG=en_US.UTF-8\nexport LANGUAGE=en_US:en\n\n# Check if curl is installed\nif ! command -v curl &> \/dev\/null; then\n    echo \"Error: curl is not installed. Please install curl and try again.\"\n    exit 1\nfi\n\n# Check if jq is installed\nif ! command -v jq &> \/dev\/null; then\n    echo \"Error: jq is not installed. Please install jq and try again.\"\n    exit 1\nfi\n\ncurl -s http:\/\/ip-api.com\/json | jq' > ip_info.sh\n\nchmod +x ip_info.sh\n",
    "uid" : "99EA04E6-6D57-4748-A63F-A401EE9EC954",
    "name" : "ip_info.sh",
    "keyword" : "script"
  }
}